| ISF 2.2 rev 5 Intelligent Sensing Framework for Kinetis with Processor Expert

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
i2c_Master_BusHandle_struct Struct Reference

This structure defines the data bus handle. More...

`#include <isf_i2c_master_types.h>`

Collaboration diagram for i2c_Master_BusHandle_struct:

## Data Fields
i2c_master_state_t | master
i2c_Master_BusConfig_t | busConfig
uint32 | busInstance
uint8 | id
uint8 | busState

## Detailed Description

This structure defines the data bus handle.

Definition at line 23 of file isf_i2c_master_types.h.

## Field Documentation

i2c_Master_BusConfig_t busConfig

current bus configuration.

Definition at line 27 of file isf_i2c_master_types.h.

Referenced by i2c_master_adapter_acquire_lock(), i2c_master_adapter_configure(), i2c_master_adapter_get_endpoint(), i2c_master_adapter_read(), i2c_master_adapter_start(), i2c_master_adapter_stop(), and i2c_master_adapter_write().

uint32 busInstance

The unique ID associated for the bus instance.

Definition at line 28 of file isf_i2c_master_types.h.

Referenced by i2c_master_adapter_configure(), i2c_master_adapter_get_endpoint(), i2c_master_adapter_init(), i2c_master_adapter_read(), i2c_master_adapter_start(), i2c_master_adapter_stop(), and i2c_master_adapter_write().

uint8 busState

The bus sate.

Definition at line 30 of file isf_i2c_master_types.h.

Referenced by i2c_master_adapter_configure(), i2c_master_adapter_get_endpoint(), i2c_master_adapter_get_state(), i2c_master_adapter_init(), i2c_master_adapter_read(), i2c_master_adapter_start(), i2c_master_adapter_stop(), and i2c_master_adapter_write().

uint8 id

The unique ID associated with the bus handle.

Definition at line 29 of file isf_i2c_master_types.h.

i2c_master_state_t master

The pointer to the i2c_master.

Definition at line 26 of file isf_i2c_master_types.h.

Referenced by i2c_master_adapter_configure().

The documentation for this struct was generated from the following file:

- ISF/ProtocolAdapter/Include/isf_i2c_master_types.h

- © Freescale Semiconductor, Inc. 2016. All Rights Reserved.